Update a Company Manager's billing contact assignment

Assigns or unassigns a Company Manager as the billing contact (primary or additional)
for one or more legal entities.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage company resources (company_admin)-Manage managers (company_manager:write)
Company-scoped access token (assertion)Manage company resources (company_admin)-Manage managers (company_manager:write)
Customer API tokenManage company resources (company_admin)-Manage managers (company_manager:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

User ID

Body Params

Company Manager billing contact params

billing_contact_for
array of objects
required

The legal entities to assign or unassign this manager as billing contact for.

billing_contact_for*
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json